ingres_num_fields
ingres_pconnect
Ingres II Functions
PHP Manual

# ingres_num_rows

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres:1.0-1.4.3)

ingres_num_rows — Get the number of rows affected or returned by the last query

### Description

int ingres_num_rows ([ resource `$link` ] )

This function is mainly meant to get the number of rows modified in the database. If this function is called before using ingres_fetch_array(), ingres_fetch_object() or ingres_fetch_row() the server will delete the result's data and the script won't be able to get them.

You should instead retrieve the result's data using one of these fetch functions in a loop until it returns `FALSE`, indicating that no more results are available.

### Parameters

`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

For delete, insert or update queries, ingres_num_rows() returns the number of rows affected by the query. For other queries, ingres_num_rows() returns the number of rows in the query's result.

### See Also

- ingres_query()
- ingres_fetch_array()
- ingres_fetch_object()
- ingres_fetch_row()

ingres_num_fields
ingres_pconnect
Ingres II Functions
PHP Manual